get
https://{sitename}.mvpplant.com/ODataApi/v1/GetWorkOrderActualLabor
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
GET Work Order Actual Labor
Retrieve actual labor records for work orders.
GET /ODataApi/v1/GetWorkOrderActualLaborEndpoint
https://{sitename}.mvpplant.com/ODataApi/v1/GetWorkOrderActualLaborReplace {sitename} with your MVP One site name.
Available fields
| Field | Data type | Description |
|---|---|---|
WorkOrderID | String | Identifier of the work order associated with the labor record. |
Cost | Decimal(18,3) | Total actual labor cost. |
Craft | String | Craft associated with the labor record. |
FinishDate | DateTimeOffset | Date and time the labor was completed. |
Hours | Decimal(9,3) | Regular labor hours. |
OTHours | Decimal(9,3) | Overtime labor hours. |
OTRate | Decimal(18,3) | Overtime labor rate. |
PeopleID | String | Identifier of the person associated with the labor record. |
Rate | Decimal(18,3) | Regular labor rate. |
StartDate | DateTimeOffset | Date and time the labor started. |
TranType | String | Labor transaction type. |
CreatedBy | String | User who created the labor record. |
DateCreated | DateTimeOffset | Date and time the labor record was created. |
EditedBy | String | User who last edited the labor record. |
DateEdited | DateTimeOffset | Date and time the labor record was last edited. |
Example endpoint
GET https://company.mvpplant.com/ODataApi/v1/GetWorkOrderActualLaborOptional OData query examples
Return labor for one work order
GET https://{sitename}.mvpplant.com/ODataApi/v1/GetWorkOrderActualLabor?$filter=WorkOrderID eq 'WO-1001'Return selected fields
GET https://{sitename}.mvpplant.com/ODataApi/v1/GetWorkOrderActualLabor?$select=WorkOrderID,PeopleID,Craft,Hours,OTHours,StartDate,FinishDate,CostReturn the first 10 labor records
GET https://{sitename}.mvpplant.com/ODataApi/v1/GetWorkOrderActualLabor?$top=10Sort labor by start date
GET https://{sitename}.mvpplant.com/ODataApi/v1/GetWorkOrderActualLabor?$orderby=StartDate descNotes
- Use single quotes around string values in
$filterexpressions. - OData filter values are case-sensitive.
- Use
$selectto return only the fields your application needs. HoursandOTHoursuseDecimal(9,3)precision.Cost,Rate, andOTRateuseDecimal(18,3)precision.
